=== debian/changelog ===
telegraf (1.15.1+ds1-0ubuntu1) groovy; urgency=medium

  * Initial release. (LP: #1889134)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 30 Jul 2020 11:50:58 -0400
