## telegraf 1.15.2+ds1

=== debian/changelog ===
telegraf (1.15.2+ds1-0ubuntu1) groovy; urgency=medium

  * New upstream version 1.15.2+ds1
  * d/rules: Enable PIE and hardening flags.
  * d/control: Update Vcs-* to reflect move to ~ubuntu-server.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 20 Aug 2020 14:17:09 -0400
