## telegraf 1.17.2+ds1

=== vendor/github.com/riemann/riemann-go-client/proto/Makefile ===
include ../Make.protobuf

all:    regenerate

regenerate:
	rm -f proto.pb.go
	make proto.pb.go
