=== debian/changelog ===
telegraf (1.17.2+ds1-0ubuntu3) hirsute; urgency=medium

  * d/rules: Disable test for inputs/riemann_listener.
    The test is currently failing with Go 1.16.  The issue has been
    reported upstream.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Sat, 20 Feb 2021 01:10:20 -0500

telegraf (1.17.2+ds1-0ubuntu2) hirsute; urgency=medium

  * d/p/adjust-etc-telegraf.conf.patch: Adjust /etc/telegraf.conf.
    Change telegraf's default configuration to not attempt connecting to
    an influxdb instance, as it's not required for installation and thus
    may not be present. (LP: #1916305)
  * d/t/basic-outputs: Update and simplify test preparation.
    With the change in the configuration file, there is no more need to
    comment out the influxdb output nor to add the prometheus_client
    output.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 19 Feb 2021 23:46:34 -0500

telegraf (1.17.2+ds1-0ubuntu1) hirsute; urgency=medium

  * d/repack-telegraf-with-vendor.sh: Fix "trap" instruction.
  * d/repack-telegraf-with-vendor.sh: Allow user to specify the Go binary.
  * New upstream version 1.17.2+ds1
  * d/p/use-mod-vendor-on-leofs-test.patch: Remove patch.
    Upstream has changed the way leofs works, and it's not invoking "go"
    directly anymore.  For this reason, there is no more need to make sure
    "go" was invoked with "-mod=vendor".

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 02 Feb 2021 19:06:07 -0500
