=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Homepage: https://github.com/influxdata/telegraf
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/influxdata/telegraf
-Vcs-Browser: https://git.launchpad.net/~canonical-server/ubuntu/+source/telegraf
-Vcs-Git: https://git.launchpad.net/~canonical-server/ubuntu/+source/telegraf
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server/ubuntu/+source/telegraf
+Vcs-Git: https://git.launchpad.net/~ubuntu-server/ubuntu/+source/telegraf
 
 Package: telegraf
 Architecture: any
