=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildflags.mk
 
 # Our GOPATH and GOCACHE locations.
 OUR_GOPATH = $(CURDIR)/.gopath
@@ -16,7 +17,8 @@
 
 override_dh_auto_build:
 	go build -v -x \
-		-ldflags "-X main.version=$(DEB_VERSION)" \
+		-buildmode=pie \
+		-ldflags "-X main.version=$(DEB_VERSION) -extldflags \"$(LDFLAGS)\"" \
 		-mod=vendor ./cmd/telegraf/
 	rst2man debian/telegraf.rst debian/telegraf.1
 
@@ -42,9 +44,13 @@
 #     building.
 #
 #   - processors/reverse_dns also depends on the network.
+#
+#   - inputs/riemann_listener fails with Go 1.16.  See
+#     https://github.com/influxdata/telegraf/issues/8888
 EXCLUDE_TESTS = \
 	github.com/influxdata/telegraf/plugins/inputs/ping \
-	github.com/influxdata/telegraf/plugins/processors/reverse_dns
+	github.com/influxdata/telegraf/plugins/processors/reverse_dns \
+	github.com/influxdata/telegraf/plugins/inputs/riemann_listener
 
 # Obtain the list of all possible tests, and remove those that are not
 # suitable.
