=== debian/tests/control ===
Tests: basic-outputs
Depends: telegraf, curl, netcat
Restrictions: allow-stderr, isolation-container, needs-root
