## telegraf 1.18.1+ds1

=== vendor/gopkg.in/mgo.v2/Makefile ===
startdb:
	@harness/setup.sh start

stopdb:
	@harness/setup.sh stop
