=== debian/changelog ===
telegraf (1.18.1+ds1-0ubuntu1) impish; urgency=medium

  * d/p/repack-telegraf-with-vendor.sh: Improve cleanup procedure.
  * New upstream version 1.18.1+ds1.
  * d/p/CVE-2021-3121.patch:
    Fix for CVE-2021-3121.  Update gogo/protobuf to 1.3.2. (LP: #1925968)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 27 Apr 2021 14:27:18 -0400
