=== debian/changelog ===
telegraf (1.18.3+ds1-0ubuntu1) impish; urgency=medium

  * d/copyright: Update copyright notices according to the latest version.
  * d/repack-telegraf-with-vendor.sh: cd to "orig_dir" before cleaning up.
  * New upstream version 1.18.3+ds1
  * d/p/CVE-2021-3121.patch: Remove patch; upstream fixed the issue.
  * d/p/adjust-{etc-telegraf.conf,service-user}.patch:
    Refresh patches.
  * d/copyright: Update according to the new upstream version.
  * d/rules: Disable test github.com/influxdata/telegraf/agent on armhf.
    Unfortunately this test is failing on armhf.  An upstream bug has been
    filed.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 25 May 2021 12:11:49 -0400
