## telegraf 1.19.2+ds1

=== debian/changelog ===
telegraf (1.19.2+ds1-0ubuntu1) impish; urgency=medium

  * New upstream version 1.19.2+ds1
  * d/copyright: Update copyright notices to reflect changes in the release.
  * d/control: Bump Standards-Version to 4.5.1.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 04 Aug 2021 18:53:35 -0400
