=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	       python3-docutils,
 	       netbase <!nocheck>,
 	       tzdata <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/influxdata/telegraf
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/influxdata/telegraf
