=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 # Our GOPATH and GOCACHE locations.
 OUR_GOPATH = $(CURDIR)/.gopath
@@ -52,6 +53,11 @@
 	github.com/influxdata/telegraf/plugins/processors/reverse_dns \
 	github.com/influxdata/telegraf/plugins/inputs/riemann_listener
 
+# https://github.com/influxdata/telegraf/issues/9302
+ifeq ($(DEB_HOST_ARCH),armhf)
+EXCLUDE_TESTS += github.com/influxdata/telegraf/agent
+endif
+
 # Obtain the list of all possible tests, and remove those that are not
 # suitable.
 ALL_TESTS = $(shell go list -mod=vendor ./...)
